<?php

/**
 * Holiday - Joomla Template
 *
 * @package bt_holiday
 * @version 1.0
 * @copyright BonusThemes.com 2009
 * @link http://www.bonusthemes.com/goto/bt_holiday
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(dirname(__FILE__) . '/template.inc.php');
global $tpl;

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

$main_tdgap = '<td width="1%" nowrap="nowrap">&nbsp; &nbsp;</td>' . "\n";

$ingap = 10;
$bleedsize = 21;

if ($tpl->show_menu)
	$cmenu_js .= '
<script type="text/javascript">
// <![CDATA[
document["cmenu_items"] = new Array();
' . $tpl->menu_js . '
// ]]>
</script>

';

echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="' . $this->language . '" lang="' . $this->language . '" >
<head>

<jdoc:include type="head" />

<link href="' . $tpl->path . '/css/layout.css" rel="stylesheet" type="text/css" />
<link href="' . $tpl->path . '/css/template.css" rel="stylesheet" type="text/css" />
' . $cmenu_css . '

<!--[if lt IE 7]>
<link href="' . $tpl->path . '/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = "' . $tpl->path . '/images/blank.gif";
</script>
<style type="text/css">
.pngfix { behavior: url(' . $tpl->path . '/js/iepngfix.htc); }
.pngfix_static { behavior: url(' . $tpl->path . '/js/iepngfix_static.htc); }
</style>
<![endif]-->

' . $cmenu_js . '

<script type="text/javascript" src="' . $tpl->path . '/js/template.js"></script>

';

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp)
	echo
'<div style="display:none">
' . $tpl->get_mainbody_pragma() . '
</div>
';

echo '
<div id="wrapper">
<table cellspacing="0" cellpadding="0" width="' . $tpl->width . '" align="center">
	<tr>
		<td colspan="2"><div id="page_t"></div></td>
	</tr>
	<tr>
		<td id="page_lt" valign="top" width="116"><img src="' . $tpl->path . '/images/layout/page_lt.gif" /></td>
		<td rowspan="2" id="page_mc" valign="top">
			<div id="pgside1"><div id="pgside2"><div id="pgside3"><div id="pgside4">
				<table cellspacing="0" cellpadding="0" width="100%">
					<tr>
						<td id="c_a1" width="35"><img src="' . $tpl->path . '/images/blank.gif" width="35" height="1" alt="" /></td>
						<td id="c_a2" width="1" class="tdln" valign="top"><img src="' . $tpl->path . '/images/layout/dot.gif" width="1" height="50" alt="" /></td>
						<td id="c_a3" width="21" valign="top">
							<div><img src="' . $tpl->path . '/images/layout/top1_back_top.gif" alt="" /></div>
							<div class="inset_area"></div>
							' . ($tpl->modcount('top') ? '<div class="inset_splitter_area"></div>' : '') . '
							<div id="top_side"></div>
						</td>
						<td id="c_a4" width="1" class="tdln" valign="top"><img src="' . $tpl->path . '/images/layout/dot.gif" width="1" height="37" alt="" /></td>
						<td id="c_a5" width="' . $ingap . '" class="bgmain"><img src="' . $tpl->path . '/images/blank.gif" width="' . $ingap . '" height="1" alt="" /></td>
						<td id="c_a6" valign="top" width="1%" nowrap="nowrap" class="bgmain">
							<div id="toolbar_container">
' . $tpl->get_position('toolbar', false, false) . '
							</div>
' . $tpl->get_position('icon', false, false) . '
							<div id="spacer1"></div>
' . $tpl->get_position('left', false, false) . '
							<div id="vreg0"></div>
						</td>
						<td id="c_a7" width="' . $ingap . '" class="bgmain"><img src="' . $tpl->path . '/images/blank.gif" width="' . $ingap . '" height="1" alt="" /></td>
						<td id="c_a8" width="1" class="tdln" valign="top"><img src="' . $tpl->path . '/images/layout/dot.gif" width="1" height="37" alt="" /></td>
						<td id="c_a9" valign="top" colspan="3">
							<div id="corner_tr"></div>
							<div class="header_area">
';

if ($tpl->show_menu) {
	echo '
								<div id="cmenu_top"></div>
								<table cellspacing="0" cellpadding="0">
									<tr>
										<td> &nbsp; </td>
';

	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];

		if ($i > 0)
			echo '
										<td> &nbsp; </td>
';

		printf('
										<td class="cmenu_hd_%1$s%5$s_l" width="17" height="27"><img src="' . $tpl->path . '/images/blank.gif" width="17" height="1" alt="" /></td>
										<td class="cmenu_hd_%1$s%5$s_c" height="27" id="%2$s">%3$s%4$s</td>
										<td class="cmenu_hd_%1$s%5$s_r" width="17" height="27"><img src="' . $tpl->path . '/images/blank.gif" width="17" height="1" alt="" /></td>
',
			$mi->selection == 0 ? 'norm' : 'sel',
			$mi->head_id,
			$mi->full_link,
			empty($mi->sub_menu_items) ? '' : ' <img class="menu_arrow" src="' . $tpl->path . '/images/blank.gif" width="7" height="4" alt="" /> &nbsp;',
			empty($mi->sub_menu_items) ? '' : '_sub'
		);
	}

	echo '
										<td> &nbsp; </td>
									</tr>
								</table>
';
}
else {
	echo $tpl->get_position('header', false, false);
}

echo '
							</div>
							<div class="inset_area">
' . $tpl->get_position('inset', false, false) . '
							</div>
';

if ($tpl->modcount('top'))
	echo '
							<div class="inset_splitter_area"></div>
							<div id="top_container">
' . $tpl->get_position('top', false, false) . '
							</div>
';

echo '

							<table cellspacing="0" cellpadding="0" width="100%">
';

if ($tpl->modcount('breadcrumb'))
	echo '
								<tr>
									<td width="' . $ingap . '" class="bgmain"><img src="' . $tpl->path . '/images/blank.gif" width="' . $ingap . '" height="1" alt="" /></td>
									<td class="bgmain"' . ($tpl->modcount('right') ? ' colspan="3"' : '') . '>
										<div id="spacer2"></div>
										<div id="pathway">
											<a href="' . $tpl->get_home() . '" onfocus="blur()"><img id="pathway_home" src="' . $tpl->path . '/images/layout/home.gif" alt="Home" border="0" align="left" /></a>
											<span id="pathway_notice">' . $tpl->str('You are here:') . ' </span>
' . $tpl->get_pathway() . '
										</div>
										<div id="pathway_b1"><div id="pathway_b2"><div id="pathway_b3"></div></div></div>
									</td>
									<td width="' . $ingap . '" class="bgmain"><img src="' . $tpl->path . '/images/blank.gif" width="' . $ingap . '" height="1" alt="" /></td>
									<td width="' . $bleedsize . '"><img src="' . $tpl->path . '/images/blank.gif" width="' . $bleedsize . '" height="1" alt="" /></td>
								</tr>
';

if ($tpl->modcount('top') == 0 && $tpl->modcount('breadcrumb') == 0)
	echo '
								<tr>
									<td class="bgmain" colspan="' . ($tpl->modcount('right') ? '5' : '3') . '">
										<div id="spacer2"></div>
									</td>
									<td width="' . $bleedsize . '"><img src="' . $tpl->path . '/images/blank.gif" width="' . $bleedsize . '" height="1" alt="" /></td>
								</tr>
';

echo '
								<tr>
									<td width="' . $ingap . '" class="bgmain"><img src="' . $tpl->path . '/images/blank.gif" width="' . $ingap . '" height="1" alt="" /></td>
									<td class="bgmain" id="td_content" valign="top">
' . $tpl->get_positions(array('newsflash'), 'spacer3')
. $tpl->get_positions(array('news1', 'news2', 'news3'), 'spacer4', true, true, '', $main_tdgap)
. $tpl->get_message()
. $tpl->get_mainbody_wrapper()
. $tpl->get_positions(array('notice1', 'notice2', 'notice3'), 'spacer5', false, true, '', $main_tdgap)
. $tpl->get_positions(array('banner'), 'spacer6', false)
. '
									</td>
';

if ($tpl->modcount('right'))
	echo '
									<td width="35" class="splitright_middle" valign="top"><img src="' . $tpl->path . '/images/layout/splitright_top.gif" width="35" height="42" alt="" /></td>
									<td class="bgmain" valign="top"' . $tpl->td_width('right', true) . '>
' . $tpl->get_position('right', true, false) . '
									</td>
';

echo '
									<td width="' . $ingap . '" class="bgmain"><img src="' . $tpl->path . '/images/blank.gif" width="' . $ingap . '" height="1" alt="" /></td>
									<td width="' . $bleedsize . '" valign="top">
										<img src="' . $tpl->path . '/images/blank.gif" width="' . $bleedsize . '" height="1" alt="" />
										<div id="vreg1"></div>
									</td>
								</tr>

								<tr>
									<td colspan="' . ($tpl->modcount('right') ? 5 : 3) . '"><div id="spacer7" class="bgmain"></div></td>
									<td valign="top"><div id="vreg2"></div></td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td id="c_b1" width="35" height="1"></td>
						<td id="c_b2" colspan="8" height="1" class="tdln"><img src="' . $tpl->path . '/images/blank.gif" width="1" height="1" alt="" /></td>
						<td id="c_b10" width="' . $ingap . '" class="bgmain"><img src="' . $tpl->path . '/images/blank.gif" width="' . $ingap . '" height="1" alt="" /></td>
						<td id="c_b11" width="1" class="edgetd" nowrap="nowrap"></td>
					</tr>
					<tr>
						<td id="c_c1" width="35"></td>
						<td id="c_c2" width="1" class="tdln"></td>
						<td id="c_c3" width="21"></td>
						<td id="c_c4" width="1" class="tdln"></td>
						<td id="c_c5" width="' . $ingap . '" class="bgmain"></td>
						<td id="c_c6" width="1%" nowrap="nowrap" class="bgmain">
							<div class="spacer_bottom"></div>
' . $tpl->get_position('user1', false, false) . '
						</td>
						<td id="c_c7" width="' . $ingap . '" class="bgmain"></td>
						<td id="c_c8" width="1" class="tdln"></td>
						<td id="c_c9" valign="top" class="bgmain">
							<div class="spacer_bottom"></div>
' . $tpl->get_position('footer', false, false) . '
						</td>
						<td id="c_c10" width="' . $ingap . '" class="bgmain"><img src="' . $tpl->path . '/images/blank.gif" width="' . $ingap . '" height="1" alt="" /></td>
						<td id="c_c11" width="1" class="edgetd" nowrap="nowrap"></td>
					</tr>
					<tr>
						<td id="c_d1" height="9" width="35"></td>
						<td id="c_d2" height="9" width="1" class="tdln"></td>
						<td id="c_d3" height="9" width="21" class="bgbottomline1"></td>
						<td id="c_d4" height="9" width="1" colspan="5" class="bgbottomline2"></td>
						<td id="c_d9" height="9" class="bgbottomline1"></td>
						<td id="c_d10" height="9" width="' . $ingap . '" class="bgmain"><img src="' . $tpl->path . '/images/blank.gif" width="' . $ingap . '" height="1" alt="" /></td>
						<td id="c_d11" height="9" width="1" class="edgetd" nowrap="nowrap"></td>
					</tr>
					<tr>
						<td id="c_e1" width="35" height="54"></td>
						<td id="c_e2" width="1" class="tdln"></td>
						<td id="c_e3" width="21" class="bgmain"></td>
						<td id="c_e4" colspan="5" class="bgmain">
							<table cellspacing="0" cellpadding="0" width="100%">
								<tr>
';

if ($tpl->lshow)
	echo '
									<div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
';

echo '
									<td>
										<div class="spacer_bottom"></div>
' . ($tpl->modcount('user2') ? $tpl->get_position('user2', true, false) : '&nbsp;') . '
									</td>
									<td width="33" align="right" valign="middle"><a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a></td>
								</tr>
							</table>
						</td>
						<td id="c_e9" valign="top" class="bgmain">
							<div class="spacer_bottom"></div>
' . $tpl->get_position('legals', false, false) . '
						</td>
						<td id="c_e10" width="' . $ingap . '" class="bgmain"><img src="' . $tpl->path . '/images/blank.gif" width="' . $ingap . '" height="1" alt="" /></td>
						<td id="c_e11" width="1" class="edgetd" nowrap="nowrap"></td>
					</tr>
					<tr>
						<td id="c_f1" height="8" colspan="10" width="35" class="bgmain"></td>
						<td id="c_f11" height="8" width="' . $bleedsize . '"><img src="' . $tpl->path . '/images/blank.gif" width="' . $bleedsize . '" height="1" alt="" /></td>
					</tr>
				</table>
			</div></div></div></div>
		</td>
	</tr>
	<tr>
		<td id="page_lb" valign="bottom" width="116"><img src="' . $tpl->path . '/images/layout/page_lb.gif" /></td>
	</tr>
	<tr>
		<td></td>
		<td><div id="page_bc"><div id="page_bl"><div id="page_br"></div></div></div></td>
	</tr>
</table>
</div>
';

foreach (array('aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	echo $tpl->get_hidden_position($position);

echo $tpl->get_debug();

echo '
</body>
</html>
';

?>